Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1230 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs

  Pb de compilation Apache 1.3.24 sous Mandrake 8.2

 


 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Pb de compilation Apache 1.3.24 sous Mandrake 8.2

n°108242
ayrton_m
Posté le 03-06-2002 à 14:06:46  profilanswer
 

Message lors de la compilation :
 
Using config file: Configuration
Creating Makefile
 + configured for Linux platform
 + setting C compiler to gcc
 + setting C pre-processor to /usr/bin/cpp
 + checking for system header files
 + adding selected modules
 + using builtin Expat
 + checking sizeof various data types
 + doing sanity check on compiler and options
** A test compilation with your Makefile configuration
** failed.  The below error output from the compilation
** test will give you an idea what is failing. Note that
** Apache requires an ANSI C Compiler, such as gcc.  
 
======== Error Output for sanity check ========
cd ..; gcc  -DLINUX=22 -DUSE_HSREGEX -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED      
-o helpers/dummy helpers/dummy.c   -lm
gcc: installation problem, cannot exec `cpp0': Aucun fichier ou r?pertoire de ce type
make: *** [dummy] Erreur 1
============= End of Error Report =============
 
 Aborting!

 
 
Pourtant GCC est installé sur le poste...

mood
Publicité
Posté le 03-06-2002 à 14:06:46  profilanswer
 

n°108255
toum toum
Posté le 03-06-2002 à 14:25:32  profilanswer
 

trouve un package, ca sert a rien de recompiler

n°108258
yold
Posté le 03-06-2002 à 14:27:18  profilanswer
 

stp toum toum, ca sert de recompiler, nottement pour foutre des options que l'on veut et aussi virer celle qu'on veut po (no-suid et autres)
Mais c clair qu'il peut prendre un rpm histoire de pas se galerer

n°108303
ayrton_m
Posté le 03-06-2002 à 15:08:31  profilanswer
 

Mais le pb de compilation vient de quoi... Car gcc est instalé sur le poste.
 
Faut-il instaler des librairies...

n°108321
yold
Posté le 03-06-2002 à 15:25:48  profilanswer
 

chai po, le pb vient tetre de gcc, test de compiler avec gcc version 3.0

n°108323
toum toum
Posté le 03-06-2002 à 15:28:23  profilanswer
 

faut pas utiliser celui par défaut de la mandrake, c'est un 2.96

n°108327
ayrton_m
Posté le 03-06-2002 à 15:37:57  profilanswer
 

Quand on installe la Mandrake 8.2, il installe gcc + un module gcc v3...
 
Il faut mieux installer gcc v3 + son module ?
 
Je doit vérifier si j'ai bien le package cpp-...
 
 
Sinon, pouvez-vous me préciser les packages qui doivent être présent pour pouvoir compiler sous LINUX...
Merci

n°108335
yold
Posté le 03-06-2002 à 15:47:50  profilanswer
 

serieux mettez vous a debian ;)
Source: gcc-3.0 (1:3.0.4ds3-9)
Version: 1:3.0.4-9
Replaces: egcc
Provides: c-compiler
Depends: gcc-3.0-base, libgcc1 (>= 1:3.0.4-9), libc6 (>= 2.2.4-4), cpp-3.0 (>= 1:3.0.4-9), cpp-3.0 (<< 1:3.0.5), binutils (>= 2.11.93.0.2-2)
Recommends: libc-dev
Suggests: gcc-3.0-doc (>= 1:3.0.4-9)

n°108339
ayrton_m
Posté le 03-06-2002 à 15:52:41  profilanswer
 

Merci Yold, je vais vérifier si j'ai installé tous ces fichiers...

n°108410
toum toum
Posté le 03-06-2002 à 17:24:48  profilanswer
 

yold a écrit a écrit :

serieux mettez vous a debian ;)
Source: gcc-3.0 (1:3.0.4ds3-9)
Version: 1:3.0.4-9
Replaces: egcc
Provides: c-compiler
Depends: gcc-3.0-base, libgcc1 (>= 1:3.0.4-9), libc6 (>= 2.2.4-4), cpp-3.0 (>= 1:3.0.4-9), cpp-3.0 (<< 1:3.0.5), binutils (>= 2.11.93.0.2-2)
Recommends: libc-dev
Suggests: gcc-3.0-doc (>= 1:3.0.4-9)  




 
la debian? elle sortira un jour celle la? Il vaut mieux utiliser une distro sérieuse comme la slack

mood
Publicité
Posté le 03-06-2002 à 17:24:48  profilanswer
 

n°108412
Aiua
PSN : Aiua / GT : Aiua42
Posté le 03-06-2002 à 17:26:49  profilanswer
 

toum toum a écrit a écrit :

 
 
la debian? elle sortira un jour celle la? Il vaut mieux utiliser une distro sérieuse comme la slack  



:lol:  :lol:  :lol:


---------------
"The pen is mightier than the sword if the sword is very short, and the pen is very sharp." TP. Mes Jeux. Mes Ventes. Groupe HFR sur PlayFire.
n°108415
yold
Posté le 03-06-2002 à 17:30:15  profilanswer
 

toum toum a écrit a écrit :

 
 
la debian? elle sortira un jour celle la? Il vaut mieux utiliser une distro sérieuse comme la slack  




 C'est clair aiua ! LOL a fond !!


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs

  Pb de compilation Apache 1.3.24 sous Mandrake 8.2

 

Sujets relatifs
[Mandrake 8.2] Modem Eicon ADSL USBLinux mandrake 8.1 reinstaller le cdrom
prog necessaire sous linux mandrake 8.0?linux mandrake 8.2
molette HS sous mandrake 8.2[APACHE] comment permettre le listage du contenu du repertoire???
[Redhat 7.3] Question sur PHP, Apache et MySQLInternet et Mandrake 8.2
vider le cache d'APACHE sous Linux 
Plus de sujets relatifs à : Pb de compilation Apache 1.3.24 sous Mandrake 8.2


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR